##################################################
## TI-83/84+ (SE) TNS>Lua                       ##
## Program made by: David Gomes                 ##
## Visit omnimaga.org                           ##
##################################################

import zipfile
import sys

def tns2lua(tnsfilename, outputfilename):
    """Grabs a TNS File and creates a new file with the Lua Code"""
    zf = zipfile.ZipFile(tnsfilename)
    f = open(outputfilename,"w")
    f.write(zf.read("Problem1.xml")[323:len(zf.read("Problem1.xml"))-35])
    f.close()

def main():
    #Open file
    f = open(sys.argv[1], "r")
    tnscode = f.read()
    f.close()
    
    #Check if file can be read
    if not (zipfile.is_zipfile(sys.argv[1])):
        print "File Type Not Supported"
        exit(1)
    
    #Get the job done
    tns2lua(sys.argv[1], sys.argv[2])

if __name__ == "__main__":
    main()
